import { AutoMap } from '@automapper/classes';
import { IsInt, IsOptional } from 'class-validator';
import { AddressDto } from './address.dto';

export class WaypointDto extends AddressDto {
  @IsOptional()
  @IsInt()
  @AutoMap()
  position?: number;
}
